Subject: Bearing and Pillow Block (et al) Mail Order

From: [email-masked] (Matthew Jones)
Date: 7 Dec 1993 15:59:50 GMT

I used to live in urban Los Angeles and now I live in the suburbs and
so for the first time I am considering mail order. The current need is
for pillow blocks and radial bearings.  They will be for 1/4" shanks, and
I will be making small orders. I would appreciate recommended suppliers.

Also before I moved I was a satisfied (walk in) customer of Enco, but if their
mail order is bad, I would like a few alternatives.  Please note I already have
a lot of catalogs, I am looking for peoples experieces.

Thanks to all

Matthew Jones
[email-masked]
[email-masked]
Is virtual reality really necessary?